package com.lukouguoji.module_base.http.user.`interface`

import com.alibaba.fastjson.JSONObject
import com.lukouguoji.module_base.bean.GjcBoxAssembleListBean
import okhttp3.MultipartBody
import okhttp3.RequestBody
import retrofit2.Call
import retrofit2.http.*

interface CommonService {


    @Headers("Content-Type:application/json")
    @POST("/api/login")
    fun login(
        @Query("username") username: String,
        @Query("password") password: String,
        @Query("roleTerm") roleTerm: String,
        @Query("userRole") userRole: String,
    ): Call<JSONObject>

    /**
     * 修改密码
     */
    @Headers("Content-Type:application/json")
    @POST("/setting/updatePwd")
    fun updatePwd(@Body body: JSONObject): Call<JSONObject>

    @Headers("Content-Type:application/json")
    @POST("/DomExpCheckIn/search")
    fun search(@Body body: JSONObject): Call<JSONObject>

    //根据主运单Id查询运单信息
    @Headers("Content-Type:application/json")
    @POST("/DomExpCheckIn/queryWbById")
    fun queryWbById(@Query("wbId") wbId: Int): Call<JSONObject>

    //根据主运单Id查询运单详细信息，带入库重量、入库件数
    @Headers("Content-Type:application/json")
    @POST("/DomExpCheckIn/queryWbById")
    fun queryWbDetailById(@Query("wbId") wbId: Int): Call<JSONObject>

    /**
     * 根据11位具体运单号查询运单信息
     */
    @Headers("Content-Type:application/json")
    @POST("/DomExpCheckIn/queryWbByNo")
    fun queryWbByNo(@Query("wbNo") wbNo: String): Call<JSONObject>

    /**
     * 获取代理人下拉框
     */
    @Headers("Content-Type:application/json")
    @POST("/typeCode/domExp/agentCode")
    fun agentCodeGnc(): Call<JSONObject>

    /**
     * 获取代理人下拉框
     */
    @Headers("Content-Type:application/json")
    @POST("/typeCode/domImp/agentCode")
    fun agentCodeGnj(): Call<JSONObject>

    /**
     * 获取始发港下拉框
     */
    @Headers("Content-Type:application/json")
    @POST("/typeCode/domImp/agentCode")
    fun startGnj(): Call<JSONObject>

    /**
     *获取业务类型---CI:国内进港,CO:国内出港,II:国际进港,IO:国际出港 下拉框
     */
    @Headers("Content-Type:application/json")
    @POST("/typeCode/business")
    fun business(@Query("type") type: String): Call<JSONObject>

    /**
     *获取运单类型 下拉框   CI:国内进港,CO:国内出港,II:国际进港,IO:国际出港
     */
    @Headers("Content-Type:application/json")
    @POST("/typeCode/awb")
    fun awb(@Query("type") type: String): Call<JSONObject>

    /**
     * 获取特码类型 下拉框
     */
    @Headers("Content-Type:application/json")
    @POST("/typeCode/specialCode")
    fun specialCode(): Call<JSONObject>

    /**
     * 获取危险品库 下拉框
     */
    @Headers("Content-Type:application/json")
    @POST("/typeCode/danger")
    fun danger(): Call<JSONObject>

    /**
     * 根据平板编号查询平板车是否正常
     */
    @Headers("Content-Type:application/json")
    @POST("/eqm/flatcar/queryActiveCar")
    fun queryActiveCar(@Query("id") id: String): Call<JSONObject>

    /**
     * 完成收运
     */
    @Headers("Content-Type:application/json")
    @POST("/DomExpCheckIn/completed")
    fun completed(@Body data: JSONObject): Call<JSONObject>


    /**
     * 校验平板车重量
     */
    @Headers("Content-Type:application/json")
    @POST("/eqm/flatcar/updateFlatcar")
    fun updateFlatcarGncStartReceive(@Body data: JSONObject): Call<JSONObject>

    /**
     * 分斗
     */
    @Headers("Content-Type:application/json")
    @POST("/DomExpCheckIn/divided")
    fun divided(@Body data: JSONObject): Call<JSONObject>

//////////////国内出港复磅
    /**
     * 复磅分页搜索
     */
    @Headers("Content-Type:application/json")
    @POST("/DomExpWeighting/search")
    fun searchFuBang(@Body body: JSONObject): Call<JSONObject>

    /**
     * 出库确认
     */
    @Headers("Content-Type:application/json")
    @POST("/DomExpWeighting/gncOut")
    fun gncChuKu(@Body body: JSONObject): Call<JSONObject>

    /**
     * 装载确认
     */
    @Headers("Content-Type:application/json")
    @POST("/DomExpWeighting/gncLoad")
    fun gncLoad(@Body body: JSONObject): Call<JSONObject>

    /**
     * 根据板车编号查询复磅信息
     */
    @Headers("Content-Type:application/json")
    @POST("/DomExpWeighting/queryWeightingByNo")
    fun queryWeightingByNo(@Query("carNo") carNo: String): Call<JSONObject>

    /**
     * 根据板车使用Id查询复磅信息
     */
    @Headers("Content-Type:application/json")
    @POST("/DomExpWeighting/queryWeightingById")
    fun queryWeightingById(@Query("useId") useId: String): Call<JSONObject>

    /**
     * 获取国内货物类型 下拉框
     */
    @Headers("Content-Type:application/json")
    @POST("/typeCode/cargo")
    fun cargoSelect(): Call<JSONObject>

    /**
     * 获取国际出港货物类型 下拉框
     */
    @Headers("Content-Type:application/json")
    @POST("/typeCode/intExp/cargoType")
    fun cargoSelectGjc(): Call<JSONObject>

    /**
     * 完成复磅
     */
    @Headers("Content-Type:application/json")
    @POST("/DomExpWeighting/completed")
    fun completedFuBang(@Body data: JSONObject): Call<JSONObject>

    /////////////国内出港 转运
    /**
     * 国内出港转运-分页搜索
     */
    @Headers("Content-Type:application/json")
    @POST("/DomExpTransport/search")
    fun searchGncTransfer(@Body data: JSONObject): Call<JSONObject>

    /**
     * 国内出港转运-根据id查询转运信息
     */
    @Headers("Content-Type:application/json")
    @POST("/DomExpTransport/queryFlatById")
    fun queryFlatById(@Query("useId") useId: Int): Call<JSONObject>

    /**
     * 根据板车号查询转运信息
     */
    @Headers("Content-Type:application/json")
    @POST("/DomExpTransport/queryFlatByNo")
    fun queryFlatByNo(@Query("carId") carId: String): Call<JSONObject>

    /**
     * 国内出港转运确认
     */
    @Headers("Content-Type:application/json")
    @POST("/DomExpTransport/completed")
    fun completedTransfer(@Body data: JSONObject): Call<JSONObject>

    /////////////国内出港 仓库
    /**
     * 国内出港仓库分页搜索
     */
    @Headers("Content-Type:application/json")
    @POST("/DomExpWareHouse/search")
    fun searchGncWareHouse(@Body data: JSONObject): Call<JSONObject>

    /**
     * 国内出港仓库-根据id获取详情
     */
    @Headers("Content-Type:application/json")
    @POST("/DomExpWareHouse/queryInfoById")
    fun queryInfoByIdGncWareHouse(@Query("id") id: Int): Call<JSONObject>

    /**
     * 国内出港仓库统计数据
     */
    @Headers("Content-Type:application/json")
    @POST("/DomExpWareHouse/total")
    fun totalGncWareHouse(@Body data: JSONObject): Call<JSONObject>

    /////////////国内出港 查询

    /**
     * 国内出港查询分页搜索
     */
    @Headers("Content-Type:application/json")
    @POST("/DomExpSearch/search")
    fun searchGncQueryList(@Body data: JSONObject): Call<JSONObject>

    /**
     * 国内出港查询根据Id查询
     */
    @Headers("Content-Type:application/json")
    @POST("/DomExpSearch/searchById")
    fun searchByIdGncQuery(@Query("id") id: Int): Call<JSONObject>

    /**
     * 国内出港查询根据运单号查询
     */
    @Headers("Content-Type:application/json")
    @POST("/DomExpSearch/searchByWbNo")
    fun searchByWbNoGncQuery(@Query("wbNo") wbNo: String): Call<JSONObject>

    /////////////////////   国内进港

    /**
     * 国内进港舱单 分页搜索
     */
    @Headers("Content-Type:application/json")
    @POST("/DomImpManiFest/search")
    fun searchGnjCangDanList(@Body data: JSONObject): Call<JSONObject>

    /**
     * 国内进港舱单 根据id查询
     */
    @Headers("Content-Type:application/json")
    @POST("/DomImpManiFest/queryFestById")
    fun queryFestByIdGnjCangDan(@Query("id") id: Int): Call<JSONObject>

    /**
     * 国内进港舱单 根据运单号查询
     */
    @Headers("Content-Type:application/json")
    @POST("/DomImpManiFest/queryFestByWbNo")
    fun queryFestByWbNoGnjCangDan(@Query("wbNo") wbNo: String): Call<JSONObject>

    /**
     * 国内进港舱单 根据航班日期和航班号查询航班
     */
    @Headers("Content-Type:application/json")
    @POST("/flt/domFlight")
    fun domFlightGnjCangDan(@Body data: JSONObject): Call<JSONObject>

    /**
     * 国内进港舱单 新增舱单
     */
    @Headers("Content-Type:application/json")
    @POST("/DomImpManiFest/saveFest")
    fun saveFestGnjCangDan(@Body data: JSONObject): Call<JSONObject>

    /**
     * 国内进港舱单 修改舱单
     */
    @Headers("Content-Type:application/json")
    @POST("/DomImpManiFest/updateFest")
    fun updateFestGnjCangDan(@Body data: JSONObject): Call<JSONObject>

    /**
     * 国内进港舱单 删除舱单
     */
    @Headers("Content-Type:application/json")
    @POST("/DomImpManiFest/deleteFest")
    fun deleteFestGnjCangDan(@Query("id") id: Int): Call<JSONObject>

    /**
     * 国内进港舱单 货物发放
     */
    @Headers("Content-Type:application/json")
    @POST("/DomImpManiFest/provide")
    fun provideGnjCangDan(@Body data: JSONObject): Call<JSONObject>

    /**
     * 国内进港 出库 分页搜索
     */
    @Headers("Content-Type:application/json")
    @POST("/DomImpPickUp/search")
    fun searchGnjChuKu(@Body data: JSONObject): Call<JSONObject>

    /**
     * 国内进港 出库 根据运单号后4位查询运单号
     */
    @Headers("Content-Type:application/json")
    @POST("/DomImpPickUp/queryWbNo")
    fun queryWbNoGnjChuKu(@Query("wbNo") wbNo: String): Call<JSONObject>

    /**
     * 国内进港 出库 确认出库
     */
    @Headers("Content-Type:application/json")
    @POST("/DomImpPickUp/completed")
    fun completedGnjChuKu(@Body data: JSONObject): Call<JSONObject>

    /**
     * 国内进港 出库 根据提货单号查询
     */
    @Headers("Content-Type:application/json")
    @POST("/DomImpPickUp/queryPickById")
    fun queryPickByIdGnjChuKu(@Query("pkId") pkId: String): Call<JSONObject>

    /**
     * 国内进港 仓库 分页搜索
     */
    @Headers("Content-Type:application/json")
    @POST("/DomImpWareHouse/search")
    fun searchGnjWareHouse(@Body data: JSONObject): Call<JSONObject>

    /**
     * 国内进港 仓库 根据id获取详情
     */
    @Headers("Content-Type:application/json")
    @POST("/DomImpWareHouse/queryInfoById")
    fun queryInfoByIdGnjWareHouse(@Query("id") id: String): Call<JSONObject>

    /**
     * 国内进港 仓库 统计数据
     */
    @Headers("Content-Type:application/json")
    @POST("/DomImpWareHouse/total")
    fun totalGnjWareHouse(@Body data: JSONObject): Call<JSONObject>


    /**
     * 国内进港 查询 分页搜索
     */
    @Headers("Content-Type:application/json")
    @POST("/DomImpSearch/search")
    fun searchGnjQuery(@Body data: JSONObject): Call<JSONObject>

    /**
     * 国内进港 查询 根据Id查询
     */
    @Headers("Content-Type:application/json")
    @POST("/DomImpSearch/searchById")
    fun searchByIdGnjQuery(@Query("id") id: Int): Call<JSONObject>

    /**
     * 国内进港 查询 根据运单号查询
     */
    @Headers("Content-Type:application/json")
    @POST("/DomImpSearch/searchByWbNo")
    fun searchByWbNoGnjQuery(@Query("wbNo ") wbNo: String): Call<JSONObject>

    /**
     * 国内进港 查询 运单类型
     */
    @Headers("Content-Type:application/json")
    @POST("/DomImpSearch/awbType")
    fun awbTypeByWbNoGnjQuery(): Call<JSONObject>

    /**
     * 国内进港 入库  根据板车号分页查询主运单
     */
    @Headers("Content-Type:application/json")
    @POST("/DomImpConfirm/search")
    fun searchGnjRuKu(@Body data: JSONObject): Call<JSONObject>

    /**
     * 国内进港 入库-装车确认
     */
    @Headers("Content-Type:application/json")
    @POST("/DomImpConfirm/loadCar")
    fun loadCarGnjRuKu(@Body data: JSONObject): Call<JSONObject>

    /**
     * 国内进港 入库-卸车确认
     */
    @Headers("Content-Type:application/json")
    @POST("/DomImpConfirm/unloadCar")
    fun unloadCarGnjRuKu(@Body data: JSONObject): Call<JSONObject>

    /**
     * 国内进港 移库 分页搜索
     */
    @Headers("Content-Type:application/json")
    @POST("/DomImpMove/search")
    fun searchGnjYiKu(@Body data: JSONObject): Call<JSONObject>

    /**
     * 国内进港 移库-移库完成分页搜索
     */
    @Headers("Content-Type:application/json")
    @POST("/DomImpMove/searchMoved")
    fun searchMovedGnjYiKu(@Body data: JSONObject): Call<JSONObject>

    /**
     * 国内进港 移库 移库
     */
    @Headers("Content-Type:application/json")
    @POST("/DomImpMove/move")
    fun moveGnjYiKu(@Body data: JSONObject): Call<JSONObject>

    /**
     * 国内进港 移库 运单类型
     */
    @Headers("Content-Type:application/json")
    @POST("/DomImpMove/awbType")
    fun awbTypeGnjYiKu(): Call<JSONObject>

    /**
     * 获取航班类型
     */
    @Headers("Content-Type:application/json")
    @POST("/typeCode/flightType")
    fun flightType(): Call<JSONObject>

    /**
     * 获取地区类型
     */
    @Headers("Content-Type:application/json")
    @POST("/typeCode/countryType")
    fun countryType(): Call<JSONObject>

    /**
     * 航班查询 分页搜索
     */
    @Headers("Content-Type:application/json")
    @POST("/flt/search")
    fun searchHangBan(@Body data: JSONObject): Call<JSONObject>

    /**
     * 航班查询 根据id查询详情
     */
    @Headers("Content-Type:application/json")
    @POST("/flt/queryFlightById")
    fun queryFlightByIdHangBan(@Query("id") id: Int): Call<JSONObject>

    /**
     * 国际出港收运 分页搜索
     */
    @Headers("Content-Type:application/json")
    @POST("/IntExpCheckIn/search")
    fun searchGjcReceive(@Body data: JSONObject): Call<JSONObject>

    /**
     * 国际出港收运 根据11位运单号查询运单信息
     */
    @Headers("Content-Type:application/json")
    @POST("/IntExpCheckIn/queryWbByNo")
    fun queryWbByNoGjcReceive(@Query("wbNo") wbNo: String): Call<JSONObject>

    /**
     * 国际出港收运 根据id查询详情
     */
    @Headers("Content-Type:application/json")
    @POST("/IntExpCheckIn/queryWbById")
    fun queryWbByIdGjcReceive(@Query("id") id: Int): Call<JSONObject>

    /**
     * 获取国际出港代理人 下拉框
     */
    @Headers("Content-Type:application/json")
    @POST("/typeCode/intExp/agentCode")
    fun agentCodeGjc(): Call<JSONObject>

    /**
     * 国际出港收运 完成收运
     */
    @Headers("Content-Type:application/json")
    @POST("/IntExpCheckIn/completed")
    fun completedGjcReceive(@Body data: JSONObject): Call<JSONObject>

    /**
     * 国际出港收运 集装器编号，查询集装器自重
     */
    @Headers("Content-Type:application/json")
    @POST("/eqm/uld/queryUld")
    fun queryUldGjcReceive(@Query("id") id: String): Call<JSONObject>

    /**
     * 国际出港收运 集装器编号，校验ULD重量
     */
    @Headers("Content-Type:application/json")
    @POST("/eqm/uld/updateUld")
    fun updateUldGjcReceive(@Body data: JSONObject): Call<JSONObject>

    /**
     * 国际出港收运 托盘编号，查询托盘自重
     */
    @Headers("Content-Type:application/json")
    @POST("/eqm/flatcar/queryFlatcar")
    fun queryFlatcarGjcReceive(@Query("id") id: String): Call<JSONObject>

    /**
     * 国际出港收运 托盘编号，校验平板车重量
     */
    @Headers("Content-Type:application/json")
    @POST("/eqm/flatcar/updateFlatcar")
    fun updateFlatcarGjcReceive(@Body data: JSONObject): Call<JSONObject>

    /**
     * 国际出港-复磅
     */
    @Headers("Content-Type:application/json")
    @POST("/IntExpUldWeighting/completed")
    fun completedGjcFuBang(@Body data: JSONObject): Call<JSONObject>

    /**
     * 国际出港仓库-根据id获取详情
     */
    @Headers("Content-Type:application/json")
    @POST("/IntExpWarehouse/queryInfoById")
    fun queryInfoByIdGjcWareHouse(@Query("id") id: Int): Call<JSONObject>

    /**
     * 国际出港仓库-分页搜索
     */
    @Headers("Content-Type:application/json")
    @POST("/IntExpWarehouse/search")
    fun searchGjcWareHouse(@Body data: JSONObject): Call<JSONObject>

    /**
     * 国际出港仓库-统计数据
     */
    @Headers("Content-Type:application/json")
    @POST("/IntExpWarehouse/total")
    fun totalGjcWareHouse(@Body data: JSONObject): Call<JSONObject>

    /**
     * 国际出港查询-分页搜索
     */
    @Headers("Content-Type:application/json")
    @POST("/IntExpSearch/search")
    fun searchGjcQuery(@Body data: JSONObject): Call<JSONObject>

    /**
     * 国际出港查询-统计数据
     */
    @Headers("Content-Type:application/json")
    @POST("/IntExpSearch/total")
    fun totalGjcQuery(@Body data: JSONObject): Call<JSONObject>

    /**
     * 国际出港查询-根据Id查询
     */
    @Headers("Content-Type:application/json")
    @POST("/IntExpSearch/searchById")
    fun searchByIdGjcQuery(@Query("id") id: Int): Call<JSONObject>

    /**
     * 国际出港查询-根据运单号查询
     */
    @Headers("Content-Type:application/json")
    @POST("/IntExpSearch/searchByWbNo")
    fun searchByWbNoGjcQuery(@Query("id") id: Int): Call<JSONObject>

    /**
     * 国际出港移库-分页搜索
     */
    @Headers("Content-Type:application/json")
    @POST("/IntExpMove/search")
    fun searchGjcYiKu(@Body data: JSONObject): Call<JSONObject>

    /**
     * 国际出港移库-移库完成分页搜索
     */
    @Headers("Content-Type:application/json")
    @POST("/IntExpMove/searchMoved")
    fun searchMovedGjcYiKu(@Body data: JSONObject): Call<JSONObject>

    /**
     * 国际出港移库-移库
     */
    @Headers("Content-Type:application/json")
    @POST("/IntExpMove/move")
    fun moveGjcYiKu(@Body data: JSONObject): Call<JSONObject>

    /**
     * 国际进港舱单-分页搜索
     */
    @Headers("Content-Type:application/json")
    @POST("/IntImpManiFest/search")
    fun searchGjjCangDan(@Body data: JSONObject): Call<JSONObject>

    /**
     * 国际航班 根据航班日期和航班号查询航班
     */
    @Headers("Content-Type:application/json")
    @POST("/flt/intFlight")
    fun intFlightGjjCangDan(@Body data: JSONObject): Call<JSONObject>

    /**
     * 国际进港舱单-根据id查询
     */
    @Headers("Content-Type:application/json")
    @POST("/IntImpManiFest/queryFestById")
    fun queryFestByIdGjjCangDan(@Query("id") id: Int): Call<JSONObject>

    /**
     * 国际进港舱单-根据运单号查询
     */
    @Headers("Content-Type:application/json")
    @POST("/IntImpManiFest/queryFestByWbNo")
    fun queryFestByWbNoGjjCangDan(@Query("wbNo") wbNo: String): Call<JSONObject>

    /**
     * 国际进港舱单-货物发放
     */
    @Headers("Content-Type:application/json")
    @POST("/IntImpManiFest/provide")
    fun provideGjjCangDan(@Body data: JSONObject): Call<JSONObject>

    /**
     * 国际进港舱单-删除舱单
     */
    @Headers("Content-Type:application/json")
    @POST("/IntImpManiFest/deleteFest")
    fun deleteFestGjjCangDan(@Query("id") id: Int): Call<JSONObject>

    /**
     * 国际进港舱单-新增舱单
     */
    @Headers("Content-Type:application/json")
    @POST("/IntImpManiFest/saveFest")
    fun saveFestGjjCangDan(@Body data: JSONObject): Call<JSONObject>

    /**
     * 国际进港舱单-修改舱单
     */
    @Headers("Content-Type:application/json")
    @POST("/IntImpManiFest/updateFest")
    fun updateFestGjjCangDan(@Body data: JSONObject): Call<JSONObject>


    /**
     * 国际进港仓库-分页搜索
     */
    @Headers("Content-Type:application/json")
    @POST("/IntImpWareHouse/search")
    fun searchGjjCangKu(@Body data: JSONObject): Call<JSONObject>

    /**
     * 国际进港仓库-统计数据
     */
    @Headers("Content-Type:application/json")
    @POST("/IntImpWareHouse/total")
    fun totalGjjCangKu(@Body data: JSONObject): Call<JSONObject>

    /**
     * 获取国际进港代理人 下拉框
     */
    @Headers("Content-Type:application/json")
    @POST("/typeCode/intImp/agentCode")
    fun agentCodeGjj(): Call<JSONObject>

    /**
     * 国际进港仓库-根据id获取详情
     */
    @Headers("Content-Type:application/json")
    @POST("/IntImpWareHouse/queryInfoById")
    fun queryInfoByIdGjjCangKu(@Query("id") id: Int): Call<JSONObject>

    /**
     * 国际进港出库-分页搜索
     */
    @Headers("Content-Type:application/json")
    @POST("/IntImpPickUp/search")
    fun searchGjjChuKu(@Body data: JSONObject): Call<JSONObject>

    /**
     * 国际进港出库-根据运单号后4位查询运单号
     */
    @Headers("Content-Type:application/json")
    @POST("/IntImpPickUp/queryWbNo")
    fun queryWbNoGjjChuKu(@Query("wbNo") wbNo: String): Call<JSONObject>

    /**
     * 国际进港出库-根据提货单号查询
     */
    @Headers("Content-Type:application/json")
    @POST("/IntImpPickUp/queryPickById")
    fun queryPickByIdGjjChuKu(@Query("pkId ") pkId: String): Call<JSONObject>

    /**
     * 国际进港出库-确认出库
     */
    @Headers("Content-Type:application/json")
    @POST("/IntImpPickUp/completed")
    fun completedGjjChuKu(@Body data: JSONObject): Call<JSONObject>

    /**
     * 国际进港查询-分页搜索
     */
    @Headers("Content-Type:application/json")
    @POST("/IntImpSearch/search")
    fun searchGjjQuery(@Body data: JSONObject): Call<JSONObject>

    /**
     * 国际进港查询-根据Id查询
     */
    @Headers("Content-Type:application/json")
    @POST("/IntImpSearch/searchById")
    fun searchByIdGjjQuery(@Query("id") id: Int): Call<JSONObject>

    /**
     * 国际进港查询-根据运单号查询
     */
    @Headers("Content-Type:application/json")
    @POST("/IntImpSearch/searchByWbNo")
    fun searchByWbNoGjjQuery(@Query("wbNo") wbNo: String): Call<JSONObject>

    /**
     * 监装监卸进港卸机-分页搜索
     */
    @Headers("Content-Type:application/json")
    @POST("/ImpLoad/search")
    fun searchMitInPack(@Body data: JSONObject): Call<JSONObject>

    /**
     * 监装监卸进港卸机-删除装板
     */
    @Headers("Content-Type:application/json")
    @POST("/ImpLoad/delete")
    fun deleteMitInPack(@Body data: JSONObject): Call<JSONObject>

    /**
     * 监装监卸进港卸机-确认装板
     */
    @Headers("Content-Type:application/json")
    @POST("/ImpLoad/completed")
    fun completedMitInPack(@Body data: JSONObject): Call<JSONObject>

    /**
     * 根据航班日期和航班号查询航班
     */
    @Headers("Content-Type:application/json")
    @POST("/flt/queryFlight")
    fun queryFlightMitInPack(@Body data: JSONObject): Call<JSONObject>

    /**
     * 监装监卸事故签证-删除
     */
    @Headers("Content-Type:application/json")
    @POST("/AccidentVisa/deleteVisa")
    fun deleteVisa(@Query("id") id: Int): Call<JSONObject>

    /**
     * 监装监卸事故签证-根据id查询
     */
    @Headers("Content-Type:application/json")
    @POST("/AccidentVisa/queryVisaById")
    fun queryVisaById(@Query("id") id: Int): Call<JSONObject>

    /**
     * 监装监卸事故签证-新增
     */
    @Headers("Content-Type:application/json")
    @POST("/AccidentVisa/saveVisa")
    fun saveVisa(@Body data: JSONObject): Call<JSONObject>

    /**
     * 监装监卸事故签证-分页搜索
     */
    @Headers("Content-Type:application/json")
    @POST("/AccidentVisa/search")
    fun searchVisa(@Body data: JSONObject): Call<JSONObject>

    /**
     * 监装监卸事故签证-修改
     */
    @Headers("Content-Type:application/json")
    @POST("/AccidentVisa/updateVisa")
    fun updateVisa(@Body data: JSONObject): Call<JSONObject>

    /**
     * 监装监卸事故签证-外包装 -下拉框
     */
    @Headers("Content-Type:application/json")
    @POST("/typeCode/outerPackageType")
    fun outerPackageType(): Call<JSONObject>

    /**
     * 监装监卸事故签证-包装破损情况 -下拉框
     */
    @Headers("Content-Type:application/json")
    @POST("/typeCode/damageType")
    fun damageType(): Call<JSONObject>

    /**
     * 监装监卸事故签证-内容物情况 -下拉框
     */
    @Headers("Content-Type:application/json")
    @POST("/typeCode/contentType")
    fun contentType(): Call<JSONObject>

    /**
     * 监装监卸事故签证-不正常类型 -下拉框
     */
    @Headers("Content-Type:application/json")
    @POST("/typeCode/unusualType")
    fun unusualType(): Call<JSONObject>

    /**
     * 监装监卸事故签证-获取发现时间类型 -下拉框
     */
    @Headers("Content-Type:application/json")
    @POST("/typeCode/searchDateType")
    fun searchDateType(): Call<JSONObject>

    /**
     * 上传图片
     */
    @POST("/file/uploadImg")
    @Multipart
    fun uploadImg(@Part file: MultipartBody.Part): Call<JSONObject>

    /**
     * 上传图片
     */
    @POST("/file/uploadImgList")
    @Multipart
    fun uploadImgList(@Part files: List<MultipartBody.Part>): Call<JSONObject>

    /**
     * 删除图片
     */
    @POST("/file/deleteImg")
    fun deleteImg(@Query("name") name: String): Call<JSONObject>

    /**
     * 监装监卸出港装机-查询预装单
     */
    @POST("/ExpLoad/search")
    fun searchOutLoading(@Body data: JSONObject): Call<JSONObject>

    /**
     * 监装监卸出港装机-拉货查询运单号根据板车号
     */
    @POST("/ExpLoad/queryWb")
    fun queryWbOutLoading(@Body data: JSONObject): Call<JSONObject>

    /**
     * 监装监卸出港装机-拉货
     */
    @POST("/ExpLoad/pull")
    fun pullOutLoading(@Body data: JSONObject): Call<JSONObject>

    /**
     * 货物状态查询-状态追踪
     */
    @POST("/CargoStatus/search")
    fun searchCargoStatus(@Body data: JSONObject): Call<JSONObject>
}